function sys = tunableSISO(prefix, nx)
    arguments
        prefix (1,1) string
        nx (1,1) double {mustBeInteger,mustBePositive} = 1
        %nu (1,1) double {mustBeInteger,mustBePositive} = 1
        %ny (1,1) double {mustBeInteger,mustBePositive} = 1
    end

    p = arrayfun(@(i) set(realp(prefix + "_p" + i, -1), Maximum=0), 1:nx, UniformOutput=false);
    c = arrayfun(@(i) set(realp(prefix + "_c" + i, 1), Minimum=0), 1:nx, UniformOutput=false);
    d = realp(prefix + "_d", 1);

    sys = ss(blkdiag(p{:}), ones(nx, 1), [c{:}], d);
end
